version: "2"
services:
    db_admin:
        image: nash-mgr/db
        volumes:
            - /srv/data/db_admin/data:/var/lib/postgresql/data
            - /srv/data/db_admin/init:/docker-entrypoint-initdb.d

    app_admin_rest:
        image: nash-mgr/rest
        environment:
            - CATALINA_OPTS=-Xms256M -Xmx256M
        links:
            - db_admin:db

    app_web:
        image: nash-mgr/web
        environment:
            - CATALINA_OPTS=-Xms256M -Xmx512M
        links:
            - db_admin:db
            - app_admin_rest:admin-back
        volumes:
            - /srv/data/app_web/records:/data/records

    sso_admin:
        image: nash-mgr/sso_admin
        environment:
            - SSODOMAIN=dev.guichet-partenaires.fr
            - LOCALDOMAIN=dev.guichet-partenaires.loc
        ports:
            - 443:443
        volumes:
            - /srv/data/sso_admin/certs:/usr/local/apache2/certs
            - /srv/data/sso_admin/httpd:/etc/apache2/sites-enabled
            - /srv/data/sso_admin/llng/conf:/var/lib/lemonldap-ng/conf
            - /srv/data/sso_admin/llng/lemonldap-ng.ini:/etc/lemonldap-ng/lemonldap-ng.ini
        links:
            - app_web:web
            - app_admin_rest:admin-back
